﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        string[] cities = { "Boston", "Orlando", "New York" };
        foreach (string city in cities)
        {
            RadDock dock = new RadDock();
            dock.OnClientInitialize = "DockInitializeWeather";
            Image img = new Image();
            img.ImageUrl = "Reload.gif";
            dock.ContentContainer.Controls.Add(img);
            dock.Attributes["City"] = city;
            dock.Title = dock.ID = string.Format("RadDock{0}", city);
            RadDockZone1.Controls.Add(dock);
        }

        foreach (DataRow row in ((DataView)SqlDataSource1.Select(DataSourceSelectArguments.Empty)).ToTable().Rows)
        {
            RadDock dock = new RadDock();
            
            //Add loading image in RadDock
            Image img = new Image();
            img.ImageUrl = "Reload.gif";
            dock.ContentContainer.Controls.Add(img);            
            string customerId = row["CustomerID"].ToString();
            string country = row["Country"].ToString();
            //Set CustomerId attribute. It is used for a value when tooltip is showed
            dock.Attributes["CustomerID"] = customerId;
            dock.Title = dock.ID = string.Format("RadDock{0}", customerId);
            //Add current dock to a zone
            if (country == "Argentina" || country == "Austria")
            {
                RadDockZone2.Controls.Add(dock);
                dock.OnClientInitialize = "DockInitialize";
            }
            else if (country == "Belgium" || country == "Germany")
            {
                RadDockZone3.Controls.Add(dock);
                dock.OnClientInitialize = "DockInitialize2";
            }
        }
       
    }
}
