﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlClient;
using System.Web;
using System.Web.Script.Services;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Data;
using System.Web.UI;
using Telerik.Web.UI;
using System.Web.UI.WebControls;
using System.Reflection;
using System.Threading;
using System.Xml;
using System.Text;
using System.IO;
using System.Net;


/// <summary>
/// Summary description for MyWebService2
/// </summary>
[ScriptService]
public class MyWebService2 : System.Web.Services.WebService {

    [WebMethod]
    public string GetData(string elementID)
    {
        Thread.Sleep(1000);
        if (elementID == string.Empty)
        {
            throw new Exception("No Value argument is provided to the webservice!");
        }
        DataTable information = new DataTable();

        SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["NorthwindConnectionString"].ConnectionString);
        try
        {
            conn.Open();

            SqlDataAdapter adapter = new SqlDataAdapter();

            try
            {
                adapter.SelectCommand = new SqlCommand("SELECT * FROM [Customers] WHERE CustomerID=@id", conn);
                adapter.SelectCommand.Parameters.AddWithValue("@id", elementID);
                adapter.Fill(information);
            }
            finally
            {
                if (!Object.Equals(adapter.SelectCommand, null)) adapter.SelectCommand.Dispose();
            }
        }
        finally
        {
            if (conn.State == ConnectionState.Open)
            {
                conn.Close();
            }
        }

        DataRow row = information.Rows[0];

        return ViewManager.RenderView("~/UserControls/CustomerInfo.ascx", information);
    }
    
}

