﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlClient;
using System.Web;
using System.Web.Script.Services;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Data;
using System.Web.UI;
using Telerik.Web.UI;
using System.Web.UI.WebControls;
using System.Reflection;
using System.Threading;
using System.Xml;
using System.Text;
using System.IO;
using System.Net;


/// <summary>
/// Summary description for Weather
/// </summary>

[ScriptService]
public class Weather : System.Web.Services.WebService {

    [WebMethod]
    public string GetWeather(string city)
    {
        
        HttpWebRequest req = (HttpWebRequest)WebRequest.Create("http://www.webservicex.net/WeatherForecast.asmx/GetWeatherByPlaceName?PlaceName=" + city);
        WebResponse resp = req.GetResponse();
        Stream stm = resp.GetResponseStream();
        StreamReader r = new StreamReader(stm);
        XmlDocument doc = new XmlDocument();
        doc.LoadXml(r.ReadToEnd());
        string PlaceName = doc.GetElementsByTagName("PlaceName")[0].InnerXml;
        string Latitude = doc.GetElementsByTagName("Latitude")[0].InnerXml;
        string Longitude = doc.GetElementsByTagName("Longitude")[0].InnerXml;
        string AllocationFactor = doc.GetElementsByTagName("AllocationFactor")[0].InnerXml;
        string FipsCode = doc.GetElementsByTagName("FipsCode")[0].InnerXml;
        string StateCode = doc.GetElementsByTagName("StateCode")[0].InnerXml;

        string output = String.Format("<h2>{0}</h2>" +
            "<p>Latitude:{1}</p>" +
            "<p>Longitude:{2}</p>" +
            "<p>AllocationFactor:{3}</p>" +
            "<p>FipsCode:{4}</p>" +
            "<p>StateCode:{5}</p>", PlaceName, Latitude, Longitude, AllocationFactor, FipsCode, StateCode);
        return output;

    }
    
}

